Laya1.6.2发布flash版本

想要用laya发布flash项目使用LayaIDE1.6.2 创建一个AS示例项目,
QQ图片20200217011750.png

这是最后一个IDE里直接可以发布flash的版本,
编译运行之后,h5版本可以运行,
但是flash版本运行报错
TypeError: Error #1009: 无法访问空对象引用的属性或方法。
at laya.webgl.resource::WebGLImage()
at MethodInfo-3289()
at laya.webgl.atlas::AtlasWebGLCanvas/texSubImage2D()
at laya.webgl.atlas::Atlaser/addToAtlasTexture()
at laya.webgl.atlas::AtlasResourceManager/pushData()
at laya.webgl.atlas::AtlasResourceManager/addToAtlas()
at MethodInfo-3300()
at laya.resource::Texture/addTextureToAtlas()
at Function/http://adobe.com/AS3/2006/builtin::call()
at laya.utils::Handler/runWith()
at laya.events::EventDispatcher/event()
at laya.resource::Resource/completeCreate()
at laya.webgl.resource::WebGLCharImage/recreateResource()
at laya.resource::Resource/activeResource()
at laya.resource::Texture/active()
at laya.webgl.text::DrawTextChar/active()
at laya.webgl.text::DrawText$/_drawSlow()
at laya.webgl.text::DrawText$/drawText()
at laya.webgl.canvas::WebGLContext2D/_fillText()
at laya.webgl.canvas::WebGLContext2D/fillText()
at MethodInfo-4429()
at Function/http://adobe.com/AS3/2006/builtin::call()
at laya.display::Graphics/_renderOne()
at laya.renders::RenderSprite/_graphics()
at laya.display::Sprite/render()
at laya.renders::RenderSprite/_childs()
at Function/http://adobe.com/AS3/2006/builtin::call()
at laya.renders::RenderSprite/_graphics()
at laya.renders::RenderSprite$/_initRenderFun()
at laya.display::Sprite/render()
at laya.renders::RenderSprite/_childs()
at laya.renders::RenderSprite$/_initRenderFun()
at laya.display::Sprite/render()
at laya.renders::RenderSprite/_childs()
at Function/http://adobe.com/AS3/2006/builtin::call()
at laya.webgl.utils::RenderSprite3D/_transform()
at laya.renders::RenderSprite$/_initRenderFun()
at laya.display::Sprite/render()
at laya.display::Stage/render()
at laya.display::Stage/_loop()
at laya.renders::Render/_enterFrame()
然后尝试用graphics直接绘制图形,绘制了一个星星,可以运行

QQ截图20200217012447.png

 
之后做了各种尝试,总之貌似需要载入图片的,都无法运行,flash版本出现各种错误。
flash版本我是用flashplayer_sa_debug.exe运行的

QQ截图20200217012721.png

 
 
不要问我为啥用这么老的版本,你没有穿越,我就是需要发布一个flash版本,如果直接能用laya发布是最好的,其他环境不熟悉,也不确定能不能行。
 
求一个既可以发布flash版本,又可以发布h5版本的解决方法,可以直接解决上面的问题,也可以用别的laya版本通过搭建flash环境发布,务必确保可运行,我需要制作一个简单的游戏demo,只需要基本功能,加上tween和帧动画,ide的界面编辑器也可以不用。
呼叫大神。
如果能解决但是比较复杂,可以留言单独沟通,问题解决大红包感谢。
 
已邀请:

layabox

赞同来自:

早就停止了Flash的发布支持与维护,不予解决,悬赏退回,变为普通贴,结贴。

该问题目前已经被锁定, 无法添加新回复

商务合作
商务合作